%global	gem_name hiera-eyaml

Summary:	Hiera backend for decrypting encrypted yaml properties
Name:		rubygem-%{gem_name}
Version:	2.0.4
Release:	1%{?dist}
Group:		System Environment/Base
License:	GPLv2
URL:		https://github.com/TomPoulton/hiera-eyaml
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  rubygems-devel
BuildRequires:	rubygem(trollop) >= 2.0
BuildRequires:	rubygem(highline) >= 1.6.20
Requires:	rubygem(trollop) >= 2.0
Requires:	rubygem(highline) >= 1.6.20
BuildArch:	noarch
Provides:	rubygem(%{gem_name}) = %{version}
Source0:	http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem

%description
hiera-eyaml is a backend for Hiera that provides per-value encryption of
sensitive data within yaml files to be used by Puppet.

%prep

%build
#mkdir -p %{gem_dir} %{_bindir}
%gem_install -n %{SOURCE0} 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | \
  xargs -n 1 sed -i -e 's"^#!/usr/bin/env ruby"#!/usr/bin/ruby"'

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/eyaml
%dir %{gem_instdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/PLUGINS.md
%doc %{gem_instdir}/CHANGES.md
%doc %{gem_instdir}/sublime_text
%doc %{gem_instdir}/*.txt
%doc %{gem_dir}/doc/%{gem_name}-%{version}
%{gem_libdir}
%{gem_instdir}/bin
%{gem_instdir}/tools
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/.*
%exclude %{gem_instdir}/Gemfile*
%exclude %{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Mon Dec 30 2013 Josko Plazonic <plazonic@princeton.edu> - 2.0-1
- initial build
